import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';

const scRadioGroupCss = ":host{display:block}.radio-group{border:none;padding:0;margin:0;min-width:0}.radio-group .radio-group__label{display:inline-block;padding:0;color:var(--sc-input-label-color);font-weight:var(--sc-input-label-font-weight);text-transform:var(--sc-input-label-text-transform, none);letter-spacing:var(--sc-input-label-letter-spacing, 0);margin-bottom:var(--sc-input-label-margin)}::slotted(sc-radio:not(:last-of-type)){display:block;margin-bottom:var(--sc-spacing-x-small) !important}";

const ScRadioGroup$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
    /** The radio group label. Required for proper accessibility. */
    this.label = '';
  }
  render() {
    return (h("fieldset", { part: "base", class: {
        'radio-group': true,
      }, role: "radiogroup" }, h("legend", { part: "label", class: "radio-group__label" }, h("slot", { name: "label" }, this.label)), h("slot", null)));
  }
  static get style() { return scRadioGroupCss; }
}, [1, "sc-radio-group", {
    "label": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["sc-radio-group"];
  components.forEach(tagName => { switch (tagName) {
    case "sc-radio-group":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, ScRadioGroup$1);
      }
      break;
  } });
}
defineCustomElement$1();

const ScRadioGroup = ScRadioGroup$1;
const defineCustomElement = defineCustomElement$1;

export { ScRadioGroup, defineCustomElement };
